Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061541 - out-of-bounds access in XSetDeviceButtonMapping
Summary: out-of-bounds access in XSetDeviceButtonMapping
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-server
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1061466 1061543
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 03:13 UTC by Peter Hutterer
Modified: 2014-06-18 07:39 UTC (History)
4 users (show)

Fixed In Version: xorg-x11-server-1.15.0-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1061466
Environment:
Last Closed: 2014-06-13 11:12:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Hutterer 2014-02-05 03:13:48 UTC
+++ This bug was initially created as a clone of Bug #1061466 +++

Description of problem:
XSetDeviceButtonMapping takes a user-specified map of button mappings (with a user-specified length). The server checks if each button is down before applying a mapping but it erroneously treats each button number as an array index instead of a bitflag, causing out-of-bounds access on the fixed-size array.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.14.4-5.fc20.x86_64

--- Additional comment from Fedora Update System on 2014-02-04 18:29:02 EST ---

xorg-x11-server-1.14.4-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.14.4-6.fc20

Comment 1 Peter Hutterer 2014-02-13 03:06:55 UTC
MODIFIED

xorg-x11-server-1.15.0-4.el7 is available in brew

Comment 5 Ludek Smid 2014-06-13 11:12:06 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.